ServerFactory
Keywords: uk.ac.ic.doc.automed.p2p.communication.ServerFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.communication
Class ServerFactory

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.communication.ServerFactory

    public class ServerFactory

extends java.lang.Object

Constructor Summary
`ServerFactory()`

Method Summary
`static MulticastServer` | `getMulticastHost(java.lang.String groupAddress, RequestListener handler, int serverPort, java.util.Properties props)` Create a new instance of a `MulticastServer`
`static AbstractServer` | `getServerInstance(RequestListener handler, int serverPort, java.lang.String protocol, java.util.Properties props)` Create a new instance of communication server for a specific protocol

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerFactory

    public ServerFactory()

Method Detail

### getServerInstance

    public static AbstractServer getServerInstance(RequestListener handler,
                                                   int serverPort,
                                                   java.lang.String protocol,
                                                   java.util.Properties props)
                                            throws CommunicationException

  Create a new instance of communication server for a specific protocol

  Throws:
    `CommunicationException`

### getMulticastHost

    public static MulticastServer getMulticastHost(java.lang.String groupAddress,
                                                   RequestListener handler,
                                                   int serverPort,
                                                   java.util.Properties props)
                                            throws CommunicationException

  Create a new instance of a `MulticastServer`

  Throws:
    `CommunicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD